Commit f6093bb9 authored by Oliver Lowe's avatar Oliver Lowe
Browse files

Default to debian 10

parent f6bf38db
Ansible Role: Guacamole
=========
This Ansible role will configure Apache's Guacamole on Ubuntu 16.04 (Xenial)
This Ansible role will configure Apache's Guacamole on Debian 10
complete with MariaDB.
It is *strongly* advised that you run `mysql_secure_installation` after this is run. This role does *not* create a MariaDB root password.
......@@ -26,23 +26,20 @@ The following variables are set in `defaults/main`:
|mysql_java_client_version | MySQL Java Client version | `5.1.44` |
|guacamole_apt_install | Apt packages to install | Lots! |
*Note:* For earlier versions of Ubuntu than 16.04, some packages will be different,
specifically `libjpeg` and `tomcat`. You can override the versions in your own variables file.
Example Playbook
----------------
```
- hosts: guacamole-host
become: yes
roles:
roles:
- alexfeig.guacamole
```
Information
------------------
This role was created by [Alex Feigenson](https://github.com/alexfeig)
This role was created by [Alex Feigenson](https://github.com/alexfeig) and updated by [Sol1](https://sol1.com.au)
To Do List
------------------
......
---
### Guacamole Settings
guacamole_version: 0.9.13-incubating
guacamole_version: 1.1.0
guacamole_db_user: guacamole
guacamole_db_password: 'foo'
guacamole_db_name: guacamole_db
### Mysql settings (mysql java client)
mysql_java_client_version: 5.1.44
### Packages to install
guacamole_apt_install:
- tomcat8
- tomcat9
- libcairo2-dev
- libjpeg-turbo8-dev
- libpng12-dev
- libjpeg62-turbo-dev
- libpng-dev
- libossp-uuid-dev
- libavcodec-dev
- libavutil-dev
- libswscale-dev
- libfreerdp-dev
- freerdp2-dev
- libpango1.0-dev
- libssh2-1-dev
- libtelnet-dev
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment